| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
wxMsgCatalog Class Reference

`#include <wx/translation.h>`

## Detailed Description

Represents a loaded translations message catalog.

This class should only be used directly by wxTranslationsLoader implementations.

Since
  2.9.1

## Static Public Member Functions

static wxMsgCatalog * | CreateFromFile (const wxString &filename, const wxString &domain)
| Creates catalog loaded from a MO file.
static wxMsgCatalog * | CreateFromData (const wxScopedCharBuffer &data, const wxString &domain)
| Creates catalog from MO file data in memory buffer.

## Member Function Documentation

static wxMsgCatalog* wxMsgCatalog::CreateFromData | ( | const wxScopedCharBuffer & | data,
|  | const wxString & | domain
| ) |  |

static

Creates catalog from MO file data in memory buffer.

Parameters

  data | Data in MO file format.
  domain | Catalog's domain. This typically matches the filename.

Returns
  Successfully loaded catalog or NULL on failure.

static wxMsgCatalog* wxMsgCatalog::CreateFromFile | ( | const wxString & | filename,
|  | const wxString & | domain
| ) |  |

static

Creates catalog loaded from a MO file.

Parameters

  filename | Path to the MO file to load.
  domain | Catalog's domain. This typically matches the filename.

Returns
  Successfully loaded catalog or NULL on failure.